Bug 119155 - Freeze after command format->text->Capitalize Every Word
Summary: Freeze after command format->text->Capitalize Every Word
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: haveBacktrace, perf, preBibisect, regression
Depends on:
Blocks:
 
Reported: 2018-08-08 12:59 UTC by Dainius
Modified: 2018-08-21 15:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Freezes on Capitalize Every Word in C2-C14 (5.80 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-08-08 13:01 UTC, Dainius
Details
bt with debug symbols (6.13 KB, text/plain)
2018-08-08 19:56 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dainius 2018-08-08 12:59:46 UTC
Description:
freezes on format->text->capitalize every word in attached .xlsx file

Steps to Reproduce:
1. Open attached file
2. Select cels from C2 to C14
3. Go to menu: Format->Text->Capitalize Every Word

Actual Results:
Freezes LibreOffice

Expected Results:
Capitalize Every Word


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Dainius 2018-08-08 13:01:21 UTC
Created attachment 144027 [details]
Freezes on Capitalize Every Word in C2-C14
Comment 2 Xisco Faulí 2018-08-08 13:54:29 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: c86a47a9d3debbc7e8ee6247f573e7f98c611f19
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and back to

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

also reproduced on WIN
Comment 3 Xisco Faulí 2018-08-08 15:19:40 UTC
Also reproduced in

LibreOffice 3.5.0 
Build ID: d6cde02
Comment 4 Julien Nabet 2018-08-08 19:46:36 UTC
On pc Debian x86-64 with master sources updated some days ago, I could reproduce this.
It can be reproduced with just these steps:
- open a brand new ods file
- on a cell, type "test" + newline
The pb is the newline alone

I noticed this line repeated ad libitum:
warn:legacy.tools:5104:5104:editeng/source/editeng/impedit4.cxx:2764: invalid word length of 0
Comment 5 Julien Nabet 2018-08-08 19:56:59 UTC
Created attachment 144036 [details]
bt with debug symbols

Here's the bt corresponding to the log
Comment 6 Julien Nabet 2018-08-08 21:01:23 UTC
Let's give a try with https://gerrit.libreoffice.org/#/c/58750/
Comment 7 Commit Notification 2018-08-13 13:40:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fdb7c1434048f4dfc7168158c626cdc188dccde

tdf#119155, tdf#119162: check there's at least 1 word in Capitalize Every Word

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2018-08-13 13:44:19 UTC
Backport to 6.1 on review: https://gerrit.libreoffice.org/#/c/58936/
Comment 9 Commit Notification 2018-08-13 15:11:10 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b07dfad5df6d7117d6bd29aa30245a6dc515379&h=libreoffice-6-1

tdf#119155, tdf#119162: check there's at least 1 word in Capitalize Every Word

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-08-21 15:35:32 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55d1ee5a8fb3e72d534a64e5045dfc0ec6a6eab8

uitest Calc-Text Case; tdf#119155 ; tdf#119162

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.